/*
* Copyright 2008 Patrick Oosterveld - patrick.oosterveld@gmail.com
*
* This source is distributed under the terms of the GNU PUBLIC LICENSE version 3
* http://www.gnu.org/licenses/gpl.html
*/

package com.googlepages.dronten.jtagger.model;

import com.googlepages.dronten.jtagger.util.MimeType;

import javax.swing.*;


/**
 *
 */
public class PictureModel {
    private JLabel      aPictureLabel = null;
    private byte[]      aPictureData = null;
    private MimeType    aMimeType = null;


    /**
     * @return Returns the picture label.
     */
    public JLabel getPictureLabel() {
        return aPictureLabel;
    }


    /**
     * @param pictureLabel The label.
     */
    public void setPictureLabel(JLabel pictureLabel) {
        this.aPictureLabel = pictureLabel;
    }


    /**
     * @return Returns the picturedata.
     */
    public byte[] getPictureData() {
        return aPictureData;
    }


    /**
     * @param pictureData The picturedata to set.
     */
    public void setPictureData(byte[] pictureData) {
        this.aPictureData = pictureData;
    }


    /**
     * @return Returns the mimeType.
     */
    public MimeType getMimeType() {
        return aMimeType;
    }


    /**
     * @param mimeType The mimeType to set.
     */
    public void setMimeType(MimeType mimeType) {
        this.aMimeType = mimeType;
    }

}
